Loading...
Searching...
No Matches
uhd::soft_register_base Class Referenceabstract

`#include <uhd/utils/soft_register.hpp>`

Inheritance diagram for uhd::soft_register_base:
[legend]
Collaboration diagram for uhd::soft_register_base:
[legend]

## Public Member Functions

virtual | ~soft_register_base ()
virtual void | initialize (wb_iface &iface, bool sync=false)=0
virtual void | flush ()=0
virtual void | refresh ()=0
virtual size_t | get_bitwidth ()=0
virtual bool | is_readable ()=0
virtual bool | is_writable ()=0

## Static Public Member Functions

template<typename soft_reg_t>
static UHD_INLINE soft_reg_t & | cast (soft_register_base &reg)

## Constructor & Destructor Documentation

## ~soft_register_base()

virtual uhd::soft_register_base::~soft_register_base | ( |  | ) |

inline virtual

## Member Function Documentation

## cast()

template<typename soft_reg_t>

UHD_INLINE soft_reg_t & uhd::soft_register_base::cast | ( | soft_register_base & | reg | ) |

inline static

Cast the soft_register generic reference to a more specific type

## flush()

virtual void uhd::soft_register_base::flush | ( |  | ) |

pure virtual

Implemented in uhd::soft_register_sync_t< reg_data_t, readable, writable >, uhd::soft_register_sync_t< uint32_t, false, true >, uhd::soft_register_sync_t< uint32_t, true, false >, uhd::soft_register_sync_t< uint32_t, true, true >, uhd::soft_register_sync_t< uint64_t, false, true >, uhd::soft_register_sync_t< uint64_t, true, false >, uhd::soft_register_sync_t< uint64_t, true, true >, uhd::soft_register_t< reg_data_t, readable, writable >, uhd::soft_register_t< uint32_t, false, true >, uhd::soft_register_t< uint32_t, true, false >, uhd::soft_register_t< uint32_t, true, true >, uhd::soft_register_t< uint64_t, false, true >, uhd::soft_register_t< uint64_t, true, false >, and uhd::soft_register_t< uint64_t, true, true >.

## get_bitwidth()

virtual size_t uhd::soft_register_base::get_bitwidth | ( |  | ) |

pure virtual

Implemented in uhd::soft_register_t< reg_data_t, readable, writable >, uhd::soft_register_t< uint32_t, false, true >, uhd::soft_register_t< uint32_t, true, false >, uhd::soft_register_t< uint32_t, true, true >, uhd::soft_register_t< uint64_t, false, true >, uhd::soft_register_t< uint64_t, true, false >, and uhd::soft_register_t< uint64_t, true, true >.

## initialize()

virtual void uhd::soft_register_base::initialize | ( | wb_iface & | iface,
|  | bool | sync = false )

pure virtual

Implemented in uhd::soft_register_sync_t< reg_data_t, readable, writable >, uhd::soft_register_sync_t< uint32_t, false, true >, uhd::soft_register_sync_t< uint32_t, true, false >, uhd::soft_register_sync_t< uint32_t, true, true >, uhd::soft_register_sync_t< uint64_t, false, true >, uhd::soft_register_sync_t< uint64_t, true, false >, uhd::soft_register_sync_t< uint64_t, true, true >, uhd::soft_register_t< reg_data_t, readable, writable >, uhd::soft_register_t< uint32_t, false, true >, uhd::soft_register_t< uint32_t, true, false >, uhd::soft_register_t< uint32_t, true, true >, uhd::soft_register_t< uint64_t, false, true >, uhd::soft_register_t< uint64_t, true, false >, and uhd::soft_register_t< uint64_t, true, true >.

## is_readable()

virtual bool uhd::soft_register_base::is_readable | ( |  | ) |

pure virtual

Implemented in uhd::soft_register_t< reg_data_t, readable, writable >, uhd::soft_register_t< uint32_t, false, true >, uhd::soft_register_t< uint32_t, true, false >, uhd::soft_register_t< uint32_t, true, true >, uhd::soft_register_t< uint64_t, false, true >, uhd::soft_register_t< uint64_t, true, false >, and uhd::soft_register_t< uint64_t, true, true >.

## is_writable()

virtual bool uhd::soft_register_base::is_writable | ( |  | ) |

pure virtual

Implemented in uhd::soft_register_t< reg_data_t, readable, writable >, uhd::soft_register_t< uint32_t, false, true >, uhd::soft_register_t< uint32_t, true, false >, uhd::soft_register_t< uint32_t, true, true >, uhd::soft_register_t< uint64_t, false, true >, uhd::soft_register_t< uint64_t, true, false >, and uhd::soft_register_t< uint64_t, true, true >.

## refresh()

virtual void uhd::soft_register_base::refresh | ( |  | ) |

pure virtual

Implemented in uhd::soft_register_sync_t< reg_data_t, readable, writable >, uhd::soft_register_sync_t< uint32_t, false, true >, uhd::soft_register_sync_t< uint32_t, true, false >, uhd::soft_register_sync_t< uint32_t, true, true >, uhd::soft_register_sync_t< uint64_t, false, true >, uhd::soft_register_sync_t< uint64_t, true, false >, uhd::soft_register_sync_t< uint64_t, true, true >, uhd::soft_register_t< reg_data_t, readable, writable >, uhd::soft_register_t< uint32_t, false, true >, uhd::soft_register_t< uint32_t, true, false >, uhd::soft_register_t< uint32_t, true, true >, uhd::soft_register_t< uint64_t, false, true >, uhd::soft_register_t< uint64_t, true, false >, and uhd::soft_register_t< uint64_t, true, true >.

The documentation for this class was generated from the following file:

- soft_register.hpp